# Generated by Django 4.2.2 on 2023-08-26 21:59
from uuid import UUID

from django.db import migrations, models

ABSENCE_TYPE_SPECIAL = UUID("24b1ad0e-fedc-4196-a12f-9ce2b293675d")
ABSENCE_TYPE_TRAINING = UUID("567c0e42-a3b9-45be-9204-45e6e66e477c")


def update_absence_policy(apps, schema_editor):
    HolidayPolicy = apps.get_model("timetracker", "HolidayPolicy")
    HolidayPolicy.objects.filter(
        absence_type__uuid__in=[ABSENCE_TYPE_SPECIAL, ABSENCE_TYPE_TRAINING]
    ).update(is_absolute=True)


class Migration(migrations.Migration):
    dependencies = [
        ("timetracker", "0019_holidayentitlement_absence_type"),
    ]

    operations = [
        migrations.DeleteModel(
            name="TimetrackerTenant",
        ),
        migrations.AddField(
            model_name="holidaypolicy",
            name="is_absolute",
            field=models.BooleanField(
                default=False,
                help_text="If checked, days are absolute, and not calculated proportionately controlled by employment percentage.",
                verbose_name="Absolute days",
            ),
        ),
        migrations.AlterUniqueTogether(
            name="absencebalance",
            unique_together={("employee", "absence_type", "day")},
        ),
        migrations.RunPython(update_absence_policy, migrations.RunPython.noop),
    ]
